Important

Helios features are now enabled during weekly update windows and are no longer directly tied to SingleStore engine releases. Refer to the release notes to view the latest features available in your Helios cluster.

Access the Data API

Data API can be accessed using Basic and Bearer Authentication methods at protocol://hostname:port/api/version/ where:

  • protocol is HTTPS/HTTP; protocol must be HTTPS when SSL is enabled.

  • hostname represents the IP address or hostname of the SingleStore Helios deployment.

    Refer to SingleStore Helios Endpoints to determine the endpoint (host:port) of your cluster.

  • port is the secure WebSocket proxy port configured.

  • version is the Data API version; currently v1 and v2 are supported.

To access SingleStore Data API via Basic Authentication, you need to provide your SingleStore account credentials (username and password) in each HTTP request. The credentials must be passed as a Base-64 encoded username:password string in the Authorization header in the HTTP client. For example, the Authorization header of demo:Afu4XjzB1ns appears as follows.

Authorization: Basic ZGVtbzpBZnU0WGp6QjFucw==

Using an HTTP client such as cURL, you can either pass your credentials as parameters in the --user or the -u option or add them before the hostname in the HTTP request, as shown below.

curl -u "username:password" https://hostname:port/api/v2/exec
curl https://username:password@hostname:port/api/v2/exec

cURL encodes the username:password string using Base-64 and inserts it in the Authorization header before sending the HTTP request to the server.

Here's an example of using Bearer Authentication to access the Data API via cURL:

curl -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.C1um3oUNP4178sTG9WahtfZxN0-GqnYTPsbx-zhH9Qk" https://hostname:port/api/v2/exec

You can use API development tools and libraries to send Data API requests and handle responses. You can also test-run the Data API at the Linux command line. For more information on how to use the Data API, refer to Data API Endpoint Reference.

Last modified:

Was this article helpful?